Appearance
Restore a deleted project
POST
/api/v1/projects/{project_id}/restore
Restore a previously soft-deleted project from the trash, clearing its deleted timestamp.
Authorizations
HTTPBearer
Type
HTTP (bearer)
Parameters
Path Parameters
project_id*
Type
Requiredstring
Format
"uuid"Responses
Successful Response
application/json
JSON "id": "string", "name": "string", "platform": "string", "status": "string", "settings": { "additionalProperties": "string" }, "created_at": "string", "completed_at": "string", "item_count": 0, "flagged_count": 0, "source_count": 0, "deleted_at": "string", "status_counts": { "pending": 0, "generated": 0, "flagged": 0, "approved": 0, "rejected": 0, "synced": 0, "excluded": 0 }, "store_connection_id": "string", "store_connection_name": "string", "content_profile_id": "string", "content_profile": { "id": "string", "organization_id": "string", "name": "string", "is_default": true, "ai_provider": "string", "ai_model": "string", "language": "string", "tone": "string", "custom_instructions": "string", "max_short_chars": 0, "max_long_chars": 0, "use_html": true, "use_html_short": true, "generate_short": true, "generate_long": true, "translate_name": true, "image_analysis_enabled": true, "image_analysis_count": 0, "structured_data_enabled": true, "generate_bullet_points": true, "generate_attributes": true, "generate_tags": true, "created_at": "string", "updated_at": "string" }, "settings_overrides": { "additionalProperties": "string" }
{
}